<!-- link -->
<div (click)="toggle()" class="app-link">
  {{ info.code }}
</div>

<!-- description card -->
<app-card
  (outsideClick)="close()"
  *ngIf="opened"
  [(verticalPriority)]="vertical"
  [outsideDetectorContainer]="elementRef"
  [positionDetectorContainer]="elementRef"
  appOutsideDetector
  appPositionDetector
  class="app-description"
>
  <!-- heading -->
  <div class="app-heading">ERROR {{ info.code }}</div>

  <!-- error description -->
  <div class="app-content">
    {{ info.description }}
  </div>

  <!-- solution heading -->
  <div class="app-heading solution">
    SOLUTION
  </div>

  <!-- content -->
  <div [innerHTML]="solution" class="app-content"></div>
</app-card>
